pc1[type]=generic
pc2[type]=generic
pc3[type]=generic
pc4[type]=generic

r1[type]=gateway
r2[type]=gateway
r3[type]=gateway
r4[type]=gateway
r5[type]=gateway

pc1[eth0]=lan1
pc2[eth0]=lan2
pc3[eth0]=lan3
pc4[eth0]=lan4

r1[eth0]=lan1
r1[eth1]=link12
r1[eth2]=link14

r2[eth0]=lan2
r2[eth1]=link12
r2[eth2]=link23

r3[eth0]=lan3
r3[eth1]=link23
r3[eth2]=link35

r4[eth0]=link14
r4[eth1]=link45

r5[eth0]=lan4
r5[eth1]=link35
r5[eth2]=link45

